<?php defined('SYSPATH') || die('No direct script access.');

/**
 * @property $ID int
 * @property $Num int
 * @property $Degree string
 */
class Model_Grades extends Model
{
    /** @return Database_Result */
    public static function loadAll() {
        return DB::query(Database::SELECT, 'CALL `GetGrades`()')->execute();
    }

    public static function getCompoundDisciplinesForGrade($gradeID){
        return DB::query(Database::SELECT, 'CALL `GetCompoundDisciplinesForGrade`(:gradeID)')
            ->param(':gradeID', $gradeID)->execute()->as_array();
    }
}
